public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/parted/
Date: Thu, 20 Jul 2017 07:07:08 +0000 (UTC)	[thread overview]
Message-ID: <1500534394.35b9c841d0b198b9017f3e2f5df45bf206dac251.jer@gentoo> (raw)

commit:     35b9c841d0b198b9017f3e2f5df45bf206dac251
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 20 07:06:34 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Jul 20 07:06:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35b9c841

sys-block/parted: EAPI bump (bug #625694 by Norman Shulman).

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 sys-block/parted/parted-2.4-r1.ebuild | 55 +++++++++++++++++++++++
 sys-block/parted/parted-3.1-r2.ebuild | 85 +++++++++++++++++++++++++++++++++++
 sys-block/parted/parted-3.2-r2.ebuild | 63 ++++++++++++++++++++++++++
 3 files changed, 203 insertions(+)

diff --git a/sys-block/parted/parted-2.4-r1.ebuild b/sys-block/parted/parted-2.4-r1.ebuild
new file mode 100644
index 00000000000..813fbc7f96a
--- /dev/null
+++ b/sys-block/parted/parted-2.4-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Create, destroy, resize, check, copy partitions and file systems"
+HOMEPAGE="https://www.gnu.org/software/parted"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="+debug device-mapper nls readline selinux static-libs"
+RESTRICT="test"
+
+# specific version for gettext needed
+# to fix bug 85999
+RDEPEND="
+	>=sys-fs/e2fsprogs-1.27
+	>=sys-libs/ncurses-5.2:0=
+	device-mapper? ( >=sys-fs/lvm2-2.02.45 )
+	readline? ( >=sys-libs/readline-5.2:0= )
+	selinux? ( sys-libs/libselinux )
+"
+DEPEND="
+	${RDEPEND}
+	nls? ( >=sys-devel/gettext-0.12.1-r2 )
+	virtual/pkgconfig
+"
+PATCHES=(
+	"${FILESDIR}"/${P}-no-gets.patch
+	"${FILESDIR}"/${P}-readline.patch
+)
+DOCS=( AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/{API,FAT,USER.jp} )
+
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable device-mapper) \
+		$(use_enable nls) \
+		$(use_enable selinux) \
+		$(use_enable static-libs static) \
+		$(use_with readline) \
+		--disable-Werror \
+		--disable-rpath \
+		--disable-silent-rules
+}
+
+src_install() {
+	default
+
+	prune_libtool_files
+}

diff --git a/sys-block/parted/parted-3.1-r2.ebuild b/sys-block/parted/parted-3.1-r2.ebuild
new file mode 100644
index 00000000000..92ce2da8bcb
--- /dev/null
+++ b/sys-block/parted/parted-3.1-r2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="Create, destroy, resize, check, copy partitions and file systems"
+HOMEPAGE="https://www.gnu.org/software/parted"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="+debug device-mapper nls readline selinux static-libs test"
+
+# specific version for gettext needed
+# to fix bug 85999
+RDEPEND="
+	>=sys-fs/e2fsprogs-1.27
+	>=sys-libs/ncurses-5.7-r7
+	device-mapper? ( >=sys-fs/lvm2-2.02.45 )
+	readline? ( >=sys-libs/readline-5.2 )
+	selinux? ( sys-libs/libselinux )
+"
+DEPEND="
+	${RDEPEND}
+	nls? ( >=sys-devel/gettext-0.12.1-r2 )
+	virtual/pkgconfig
+	test? (
+		>=dev-libs/check-0.9.3
+		dev-perl/Digest-CRC
+	)
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.1-zfs.patch
+	"${FILESDIR}"/${PN}-3.1-readline.patch
+)
+DOCS=(
+	AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/{API,FAT,USER.jp}
+)
+
+src_prepare() {
+	default
+
+	# Remove tests known to FAIL instead of SKIP without OS/userland support
+	sed -i libparted/tests/Makefile.am \
+		-e 's|t3000-symlink.sh||g' || die "sed failed"
+	sed -i tests/Makefile.am \
+		-e '/t4100-msdos-partition-limits.sh/d' \
+		-e '/t4100-dvh-partition-limits.sh/d' \
+		-e '/t6000-dm.sh/d' || die "sed failed"
+	# there is no configure flag for controlling the dev-libs/check test
+	sed -i configure.ac \
+		-e "s:have_check=[a-z]*:have_check=$(usex test):g" || die
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable device-mapper) \
+		$(use_enable nls) \
+		$(use_enable selinux) \
+		$(use_enable static-libs static) \
+		$(use_with readline) \
+		--disable-rpath \
+		--disable-silent-rules
+}
+
+src_test() {
+	if use debug; then
+		# Do not die when tests fail - some requirements are not
+		# properly checked and should not lead to the ebuild failing.
+		emake check
+	else
+		ewarn "Skipping tests because USE=-debug is set."
+	fi
+}
+
+src_install() {
+	default
+
+	prune_libtool_files
+}

diff --git a/sys-block/parted/parted-3.2-r2.ebuild b/sys-block/parted/parted-3.2-r2.ebuild
new file mode 100644
index 00000000000..b4561cfee28
--- /dev/null
+++ b/sys-block/parted/parted-3.2-r2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="Create, destroy, resize, check, copy partitions and file systems"
+HOMEPAGE="https://www.gnu.org/software/parted"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="+debug device-mapper nls readline selinux static-libs"
+RESTRICT="test"
+
+# specific version for gettext needed
+# to fix bug 85999
+RDEPEND="
+	>=sys-fs/e2fsprogs-1.27
+	device-mapper? ( >=sys-fs/lvm2-2.02.45 )
+	readline? ( >=sys-libs/readline-5.2:0= >=sys-libs/ncurses-5.7-r7:0= )
+	selinux? ( sys-libs/libselinux )
+	elibc_uclibc? ( dev-libs/libiconv )
+"
+DEPEND="
+	${RDEPEND}
+	nls? ( >=sys-devel/gettext-0.12.1-r2 )
+	virtual/pkgconfig
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.2-devmapper.patch
+	"${FILESDIR}"/${PN}-3.2-po4a-mandir.patch
+	"${FILESDIR}"/${PN}-3.2-fix-resizing-FAT16.patch
+	"${FILESDIR}"/${PN}-3.2-sysmacros.patch
+)
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	use elibc_uclibc && append-libs -liconv
+	econf \
+		$(use_enable debug) \
+		$(use_enable device-mapper) \
+		$(use_enable nls) \
+		$(use_enable selinux) \
+		$(use_enable static-libs static) \
+		$(use_with readline) \
+		--disable-rpath \
+		--disable-silent-rules
+}
+
+DOCS=( AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/{API,FAT,USER.jp} )
+
+src_install() {
+	default
+
+	prune_libtool_files
+}


             reply	other threads:[~2017-07-20  7:07 UTC|newest]

Thread overview: 88+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-20  7:07 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-12  4:05 [gentoo-commits] repo/gentoo:master commit in: sys-block/parted/ Sam James
2023-12-02 11:12 Michał Górny
2023-12-02 11:05 Arthur Zamarin
2023-12-02 10:45 Arthur Zamarin
2023-12-02 10:43 Michał Górny
2023-12-02 10:27 Arthur Zamarin
2023-12-02 10:23 Arthur Zamarin
2023-12-02 10:15 Arthur Zamarin
2023-12-02 10:14 Arthur Zamarin
2023-06-10  8:41 Michał Górny
2023-06-09 14:17 Sam James
2023-06-09 14:17 Sam James
2023-06-09 14:17 Sam James
2023-06-09 14:03 Arthur Zamarin
2023-06-09 14:01 Arthur Zamarin
2023-06-09 13:51 Arthur Zamarin
2023-05-07 15:28 Matt Turner
2023-03-15  8:32 Michał Górny
2023-02-28 17:08 Michał Górny
2023-02-28 16:54 Michał Górny
2022-10-18  2:47 Sam James
2022-10-18  2:18 Sam James
2022-09-21  4:21 Sam James
2022-06-21  9:41 David Seifert
2022-06-02  5:06 Jakov Smolić
2022-06-02  3:23 Sam James
2022-06-02  3:23 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:05 Sam James
2022-06-02  3:05 Sam James
2022-05-26  4:45 WANG Xuerui
2022-04-21 23:35 Sam James
2022-01-01 20:08 David Seifert
2021-08-14  3:48 Sam James
2021-07-31 13:40 Michał Górny
2021-05-27 14:34 Yixun Lan
2021-03-07 22:39 Michał Górny
2021-03-07 19:43 Sam James
2021-03-06  7:26 Sam James
2021-03-05 20:34 Sam James
2021-03-05 20:33 Sam James
2021-03-05 20:32 Sam James
2021-03-05 14:25 Agostino Sarubbo
2021-03-05 14:19 Agostino Sarubbo
2021-01-28  8:35 Michał Górny
2020-12-28 17:27 Mike Gilbert
2020-11-14 20:32 Sam James
2020-11-12  7:46 Sergei Trofimovich
2020-11-12  7:45 Sergei Trofimovich
2020-11-12  7:41 Sergei Trofimovich
2020-11-12  7:34 Sergei Trofimovich
2020-11-12  0:35 Thomas Deutschmann
2020-11-08  0:32 Sam James
2020-11-08  0:32 Sam James
2020-11-07 18:12 Andreas K. Hüttel
2020-11-07  8:56 Michał Górny
2020-11-07  8:55 Michał Górny
2020-11-07  8:55 Michał Górny
2020-11-07  8:55 Michał Górny
2020-10-31 11:11 David Seifert
2020-02-15 10:03 David Seifert
2019-12-03 22:57 Jeroen Roovers
2019-10-11  5:06 Jeroen Roovers
2019-10-11  5:06 Jeroen Roovers
2019-10-11  5:06 Jeroen Roovers
2019-05-01 10:52 Jeroen Roovers
2019-05-01 10:52 Jeroen Roovers
2019-04-15 23:55 Aaron Bauman
2018-11-27 12:32 Jeroen Roovers
2018-11-27 12:32 Jeroen Roovers
2018-03-21 21:42 Jeroen Roovers
2018-03-15 13:56 Mikle Kolyada
2018-02-08 11:07 Jeroen Roovers
2018-01-30  8:30 Jeroen Roovers
2018-01-17  8:11 Jeroen Roovers
2017-11-13 22:18 Sergei Trofimovich
2017-08-29 21:39 Thomas Deutschmann
2017-08-25 13:24 Mikle Kolyada
2017-07-20 17:13 Jeroen Roovers
2017-07-12  8:39 Sergei Trofimovich
2017-05-22 18:41 Tobias Klausmann
2017-05-18 13:48 Michael Weber
2017-05-13 11:10 Jeroen Roovers
2016-06-17 11:31 Alexis Ballier
2016-01-02  4:08 Joshua Kinard
2015-08-21  9:35 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1500534394.35b9c841d0b198b9017f3e2f5df45bf206dac251.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox